//Povray Version 3.7
// Standard-Includes
#include "colors.inc"
#include "textures.inc"
#include "glass.inc"

global_settings{assumed_gamma 2.2}

camera {location <0,1,-7>look_at <0,1,0> right x*image_width/image_height}

#declare drehteil=difference {box {<0,0,0>,<2,2,2>} sphere { <1,1,1,>,1}}
#declare kugel=sphere {<0,1,1>, 1}
#declare wuerfel=box {<0,0,0>,<2,2,2>}
#declare Col=color rgb <0.35, 0.65, 0.85>;

//Kugel
sphere {<0,1,0>, 1 texture {pigment {color rgb <0,0,0>}finish {reflection 0.5 phong 0.8}}}
object {wuerfel translate <-4,0,0> texture{pigment { color Col_Glass_Clear }finish { F_Glass6 }} interior {I_Glass_Exp(2) fade_color Col }}
object {kugel translate <-3,0,0> texture {Polished_Chrome} finish {reflection 1 phong 1}}
object {drehteil translate <2,0,0> texture{pigment { color Col_Glass_Clear }finish { F_Glass6 }} interior {I_Glass_Exp(2) fade_color Col }}

light_source {<0,15,-5> color White}
light_source {<5,1.5,-3> color Yellow}
light_source {<-5,1.5,-3> color rgb <1,0,0>}

plane {<0,1,0>, 0 texture {pigment {checker color Blue color White} finish {reflection 0.7}}}

fog {distance 25 color rgb <.7,0,0> fog_type 2 fog_offset 0 fog_alt 3}

